Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.
Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.
Present when routing is linked to an external decision engine.
Example:
"de_route_456"
Example:
"de_route_456"
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Hyperswitch","colors":{"primary":"#4F8EFF","light":"#6BA3FF","dark":"#2563EB"},"logo":{"light":"/logo/light.svg","dark":"/logo/dark.svg"},"favicon":"/favicon.png","api":{"openapi":["v1/openapi_spec_v1.json","v2/openapi_spec_v2.json","rust_locker_open_api_spec.yml","decision_engine_openapi-specs.json"]},"background":{"color":{"light":"#FAFBFC","dark":"#1d1d1d"}},"navbar":{"links":[{"href":"https://inviter.co/hyperswitch-slack","label":"Contact Us"},{"href":"https://deepwiki.com/juspay/hyperswitch","label":"Explore with Deepwiki"}],"primary":{"type":"button","label":"Self-Deploy","href":"https://docs.hyperswitch.io/hyperswitch-open-source/overview"}},"footer":{"socials":{"github":"https://github.com/juspay/hyperswitch","linkedin":"https://www.linkedin.com/company/hyperswitch"}},"integrations":{"gtm":{"tagId":"GTM-PLBNKQFQ"},"mixpanel":{"projectToken":"b00355f29d9548d1333608df71d5d53d"}},"contextual":{"options":["copy","claude","chatgpt","view"],"display":"header"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"hasAudioNarration":false,"customDomains":[],"gitSource":{"type":"github","owner":"local","repo":"local","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":"local","isBase":true},"buildId":"local","clientVersion":"0.0.4064"},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false,"isLoggedInCli":false},"customCss":[],"page":{"pagePath":"v1/routing/routing--success-based","slug":"/v1/routing/routing--success-based","pageMetadata":{"openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","description":"Create a success based dynamic routing algorithm","href":"/v1/routing/routing--success-based","title":"Routing - Auth Rate Based"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Create a success based dynamic routing algorithm\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","description":"Create a success based dynamic routing algorithm","href":"/v1/routing/routing--success-based","title":"Routing - Auth Rate Based"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Routing"],"summary":"Routing - Auth Rate Based","description":"Create a success based dynamic routing algorithm","operationId":"Create success based dynamic routing algorithm","parameters":["c3b1535a-4143-4c19-92b3-b7b770ade53f","6e7d1db3-dd15-4f6d-a4f2-3be46bfeaecf","c433bea8-060c-40f9-990f-fd5077efd353","7a965b88-9759-4190-9787-7a860238abe0"],"requestBody":"4dcaa896-5d14-4a6e-a43c-5feff16904f4","responses":{"200":"5cafad7d-4f62-4d36-a0d3-560b93501bc0","400":"423071f1-936b-44bf-96aa-07009de005d4","403":"92ee8e6d-fdbd-485e-8bf3-651352260a4e","404":"cd569e33-70c6-4be7-ad6a-e00eb6f4bcb8","422":"8736e0cd-5c88-41d0-ab2e-f5a82b7cd210","500":"e2632933-429b-4906-89de-4ebd2633aefe"},"security":["8d6d6f6f-7f0e-4848-93ba-707f9ca00f36","744d7fff-34cf-4d04-8cc2-b67b94c7dfbd"],"method":"post","type":"path","servers":["f61470cd-dcf1-4ff9-8d18-5ea2fd311348"],"path":"/account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","baseUrlOptions":["https://sandbox.hyperswitch.io"],"title":"Routing - Auth Rate Based","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"c3b1535a-4143-4c19-92b3-b7b770ade53f":{"name":"account_id","in":"path","description":"Merchant id","required":true,"schema":{"type":"string","isRequired":true,"description":"Merchant id","uniqueKey":"","typeLabel":"string"}},"6e7d1db3-dd15-4f6d-a4f2-3be46bfeaecf":{"name":"profile_id","in":"path","description":"Profile id under which Dynamic routing needs to be created","required":true,"schema":{"type":"string","isRequired":true,"description":"Profile id under which Dynamic routing needs to be created","uniqueKey":"","typeLabel":"string"}},"c433bea8-060c-40f9-990f-fd5077efd353":{"name":"enable","in":"query","description":"Feature to enable for success based routing","required":true,"schema":{"type":"string","enum":["metrics","dynamic_connector_selection","none"],"isRequired":true,"description":"Feature to enable for success based routing","uniqueKey":"","typeLabel":"enum\u003cstring>"}},"7a965b88-9759-4190-9787-7a860238abe0":{"name":"X-Connected-Merchant-Id","in":"header","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","required":false,"schema":{"oneOf":[{"type":"string","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.0","typeLabel":"string"},{"type":"null","description":"Merchant ID of the connected merchant on whose behalf the operation is performed. Required when authenticating with a platform merchant's API key. Standard and connected merchants must not send it.","uniqueKey":"oneOf.1","typeLabel":"null"}],"isRequired":false,"uniqueKey":"","typeLabel":"string | null"},"example":"merchant_abc"}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","required":["decision_engine_configs"],"properties":{"decision_engine_configs":{"type":"object","description":"Configuration for Decision Engine success rate based routing","properties":{"defaultLatencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Default latency threshold in percentile for gateway selection","example":90,"uniqueKey":"decision_engine_configs.defaultLatencyThreshold.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Default latency threshold in percentile for gateway selection","example":90,"uniqueKey":"decision_engine_configs.defaultLatencyThreshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultLatencyThreshold","typeLabel":"number\u003cdouble> | null"},"defaultBucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Default number of transactions to consider for success rate calculation","example":100,"uniqueKey":"decision_engine_configs.defaultBucketSize.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Default number of transactions to consider for success rate calculation","example":100,"uniqueKey":"decision_engine_configs.defaultBucketSize.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultBucketSize","typeLabel":"integer\u003cint32> | null"},"defaultHedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Default percentage of traffic to route for exploration/hedging","example":5,"uniqueKey":"decision_engine_configs.defaultHedgingPercent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Default percentage of traffic to route for exploration/hedging","example":5,"uniqueKey":"decision_engine_configs.defaultHedgingPercent.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultHedgingPercent","typeLabel":"number\u003cdouble> | null"},"defaultLowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for adjusting gateway scores","example":0.5,"uniqueKey":"decision_engine_configs.defaultLowerResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Lower reset factor for adjusting gateway scores","example":0.5,"uniqueKey":"decision_engine_configs.defaultLowerResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultLowerResetFactor","typeLabel":"number\u003cdouble> | null"},"defaultUpperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for adjusting gateway scores","example":1.5,"uniqueKey":"decision_engine_configs.defaultUpperResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Upper reset factor for adjusting gateway scores","example":1.5,"uniqueKey":"decision_engine_configs.defaultUpperResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultUpperResetFactor","typeLabel":"number\u003cdouble> | null"},"defaultGatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string","isRequired":true,"uniqueKey":"decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX].gatewayName","typeLabel":"string"},"gatewaySigmaFactor":{"type":"number","format":"double","isRequired":true,"uniqueKey":"decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX].gatewaySigmaFactor","typeLabel":"number\u003cdouble>"}},"uniqueKey":"decision_engine_configs.defaultGatewayExtraScore.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Gateway-specific extra scoring factors","uniqueKey":"decision_engine_configs.defaultGatewayExtraScore.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors","uniqueKey":"decision_engine_configs.defaultGatewayExtraScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.defaultGatewayExtraScore","typeLabel":"object[] | null"},"subLevelInputConfig":{"oneOf":[{"type":"array","items":{"type":"object","description":"Payment method level configuration for success rate based routing","properties":{"paymentMethodType":{"oneOf":[{"type":"string","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType.oneOf.0","typeLabel":"string"},{"type":"null","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethodType","typeLabel":"string | null"},"paymentMethod":{"oneOf":[{"type":"string","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod.oneOf.0","typeLabel":"string"},{"type":"null","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].paymentMethod","typeLabel":"string | null"},"latencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Latency threshold in percentile for this payment method","example":90,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Latency threshold in percentile for this payment method","example":90,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].latencyThreshold","typeLabel":"number\u003cdouble> | null"},"bucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Number of transactions to consider for this payment method","example":100,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","description":"Number of transactions to consider for this payment method","example":100,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].bucketSize","typeLabel":"integer\u003cint32> | null"},"hedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].hedgingPercent","typeLabel":"number\u003cdouble> | null"},"lowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for this payment method","example":0.5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Lower reset factor for this payment method","example":0.5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].lowerResetFactor","typeLabel":"number\u003cdouble> | null"},"upperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for this payment method","example":1.5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","description":"Upper reset factor for this payment method","example":1.5,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].upperResetFactor","typeLabel":"number\u003cdouble> | null"},"gatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string","isRequired":true,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX].gatewayName","typeLabel":"string"},"gatewaySigmaFactor":{"type":"number","format":"double","isRequired":true,"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX].gatewaySigmaFactor","typeLabel":"number\u003cdouble>"}},"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Gateway-specific extra scoring factors for this payment method","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX].gatewayExtraScore","typeLabel":"object[] | null"}},"uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0.items.[INDEX]","typeLabel":"object"},"description":"Payment method level specific configurations","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","description":"Payment method level configuration for success rate based routing","properties":{"paymentMethodType":{"oneOf":[{"type":"string","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card"},{"type":"null","description":"Payment method type (e.g., \"card\", \"wallet\")","example":"card"}]},"paymentMethod":{"oneOf":[{"type":"string","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit"},{"type":"null","description":"Specific payment method (e.g., \"credit\", \"debit\")","example":"credit"}]},"latencyThreshold":{"oneOf":[{"type":"number","format":"double","description":"Latency threshold in percentile for this payment method","example":90},{"type":"null","format":"double","description":"Latency threshold in percentile for this payment method","example":90}]},"bucketSize":{"oneOf":[{"type":"integer","format":"int32","description":"Number of transactions to consider for this payment method","example":100},{"type":"null","format":"int32","description":"Number of transactions to consider for this payment method","example":100}]},"hedgingPercent":{"oneOf":[{"type":"number","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5},{"type":"null","format":"double","description":"Percentage of traffic to route for exploration for this payment method","example":5}]},"lowerResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Lower reset factor for this payment method","example":0.5},{"type":"null","format":"double","description":"Lower reset factor for this payment method","example":0.5}]},"upperResetFactor":{"oneOf":[{"type":"number","format":"double","description":"Upper reset factor for this payment method","example":1.5},{"type":"null","format":"double","description":"Upper reset factor for this payment method","example":1.5}]},"gatewayExtraScore":{"oneOf":[{"type":"array","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method"},{"type":"null","items":{"type":"object","required":["gatewayName","gatewaySigmaFactor"],"properties":{"gatewayName":{"type":"string"},"gatewaySigmaFactor":{"type":"number","format":"double"}}},"description":"Gateway-specific extra scoring factors for this payment method"}]}}},"description":"Payment method level specific configurations","uniqueKey":"decision_engine_configs.subLevelInputConfig.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_configs.subLevelInputConfig","typeLabel":"object[] | null"}},"isRequired":true,"uniqueKey":"decision_engine_configs","typeLabel":"object"},"params":{"oneOf":[{"type":"array","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"],"uniqueKey":"params.oneOf.0.items.[INDEX]","typeLabel":"enum\u003cstring>"},"deprecated":true,"uniqueKey":"params.oneOf.0","typeLabel":"enum\u003cstring>[]"},{"type":"null","items":{"type":"string","enum":["PaymentMethod","PaymentMethodType","AuthenticationType","Currency","Country","CardNetwork","CardBin"]},"deprecated":true,"uniqueKey":"params.oneOf.1","typeLabel":"null"}],"uniqueKey":"params","typeLabel":"enum\u003cstring>[] | null"},"config":{"oneOf":[{"type":"object","properties":{"min_aggregates_size":{"oneOf":[{"type":"integer","format":"int32","minimum":0,"uniqueKey":"config.oneOf.0.min_aggregates_size.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","minimum":0,"uniqueKey":"config.oneOf.0.min_aggregates_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.min_aggregates_size","typeLabel":"integer\u003cint32> | null"},"default_success_rate":{"oneOf":[{"type":"number","format":"double","uniqueKey":"config.oneOf.0.default_success_rate.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","uniqueKey":"config.oneOf.0.default_success_rate.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.default_success_rate","typeLabel":"number\u003cdouble> | null"},"max_aggregates_size":{"oneOf":[{"type":"integer","format":"int32","minimum":0,"uniqueKey":"config.oneOf.0.max_aggregates_size.oneOf.0","typeLabel":"integer\u003cint32>"},{"type":"null","format":"int32","minimum":0,"uniqueKey":"config.oneOf.0.max_aggregates_size.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.max_aggregates_size","typeLabel":"integer\u003cint32> | null"},"current_block_threshold":{"oneOf":[{"type":"object","properties":{"duration_in_mins":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.duration_in_mins","typeLabel":"integer\u003cint64> | null"},"max_total_count":{"oneOf":[{"type":"integer","format":"int64","minimum":0,"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.max_total_count.oneOf.0","typeLabel":"integer\u003cint64>"},{"type":"null","format":"int64","minimum":0,"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.max_total_count.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0.max_total_count","typeLabel":"integer\u003cint64> | null"}},"uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"config.oneOf.0.current_block_threshold.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.current_block_threshold","typeLabel":"object | null"},"specificity_level":{"type":"string","enum":["merchant","global"],"uniqueKey":"config.oneOf.0.specificity_level","typeLabel":"enum\u003cstring>"},"exploration_percent":{"oneOf":[{"type":"number","format":"double","uniqueKey":"config.oneOf.0.exploration_percent.oneOf.0","typeLabel":"number\u003cdouble>"},{"type":"null","format":"double","uniqueKey":"config.oneOf.0.exploration_percent.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.exploration_percent","typeLabel":"number\u003cdouble> | null"},"shuffle_on_tie_during_exploitation":{"oneOf":[{"type":"boolean","uniqueKey":"config.oneOf.0.shuffle_on_tie_during_exploitation.oneOf.0","typeLabel":"boolean"},{"type":"null","uniqueKey":"config.oneOf.0.shuffle_on_tie_during_exploitation.oneOf.1","typeLabel":"null"}],"uniqueKey":"config.oneOf.0.shuffle_on_tie_during_exploitation","typeLabel":"boolean | null"}},"uniqueKey":"config.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"config.oneOf.1","typeLabel":"null"}],"uniqueKey":"config","typeLabel":"object | null"}},"additionalProperties":false,"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"decision_engine_configs":{"defaultLatencyThreshold":90,"defaultBucketSize":100,"defaultHedgingPercent":5,"defaultLowerResetFactor":0.5,"defaultUpperResetFactor":1.5,"defaultGatewayExtraScore":[{"gatewayName":"\u003cstring>","gatewaySigmaFactor":123}],"subLevelInputConfig":[{"paymentMethodType":"card","paymentMethod":"credit","latencyThreshold":90,"bucketSize":100,"hedgingPercent":5,"lowerResetFactor":0.5,"upperResetFactor":1.5,"gatewayExtraScore":[{"gatewayName":"\u003cstring>","gatewaySigmaFactor":123}]}]},"params":[],"config":{"min_aggregates_size":1,"default_success_rate":123,"max_aggregates_size":1,"current_block_threshold":{"duration_in_mins":1,"max_total_count":1},"exploration_percent":123,"shuffle_on_tie_during_exploitation":true}}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"5cafad7d-4f62-4d36-a0d3-560b93501bc0":{"description":"Routing Algorithm created","content":{"application/json":{"schema":{"type":"object","description":"Metadata record representing a stored routing configuration.\n\nUsed in routing dictionary listings.","required":["id","profile_id","name","kind","description","created_at","modified_at"],"properties":{"id":{"type":"string","description":"Unique identifier of the routing configuration.\n\nExample:\n```json\n\"routing_abc123\"\n```","example":"routing_abc123","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"profile_id":{"type":"string","description":"Profile ID associated with this routing configuration.\n\nExample:\n```json\n\"profile_123\"\n```","example":"profile_123","isRequired":true,"uniqueKey":"profile_id","typeLabel":"string"},"name":{"type":"string","description":"Name of the routing configuration.\n\nExample:\n```json\n\"india_card_routing\"\n```","example":"india_card_routing","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"kind":{"type":"string","enum":["single","priority","volume_split","advanced","dynamic","three_ds_decision_rule"],"isRequired":true,"uniqueKey":"kind","typeLabel":"enum\u003cstring>"},"description":{"type":"string","description":"Description of this routing configuration.\n\nExample:\n```json\n\"Volume split routing for domestic transactions\"\n```","example":"Volume split routing for domestic transactions","isRequired":true,"uniqueKey":"description","typeLabel":"string"},"created_at":{"type":"integer","format":"int64","description":"Creation timestamp (milliseconds since epoch).","example":1718000000000,"isRequired":true,"uniqueKey":"created_at","typeLabel":"integer\u003cint64>"},"modified_at":{"type":"integer","format":"int64","description":"Last modification timestamp (milliseconds since epoch).","example":1718050000000,"isRequired":true,"uniqueKey":"modified_at","typeLabel":"integer\u003cint64>"},"algorithm_for":{"oneOf":[{"type":"string","enum":["payment","payout","three_ds_authentication"],"uniqueKey":"algorithm_for.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","uniqueKey":"algorithm_for.oneOf.1","typeLabel":"null"}],"uniqueKey":"algorithm_for","typeLabel":"enum\u003cstring> | null"},"decision_engine_routing_id":{"oneOf":[{"type":"string","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"decision_engine_routing_id.oneOf.0","typeLabel":"string"},{"type":"null","description":"Associated Decision Engine routing identifier (if applicable).\n\nPresent when routing is linked to an external decision engine.\n\nExample:\n```json\n\"de_route_456\"\n```","example":"de_route_456","uniqueKey":"decision_engine_routing_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"decision_engine_routing_id","typeLabel":"string | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"routing_abc123","profile_id":"profile_123","name":"india_card_routing","kind":"single","description":"Volume split routing for domestic transactions","created_at":1718000000000,"modified_at":1718050000000,"algorithm_for":"payment","decision_engine_routing_id":"de_route_456"}}},"exampleType":"generated"}},"exampleType":"generated"},"423071f1-936b-44bf-96aa-07009de005d4":{"description":"Request body is malformed","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"92ee8e6d-fdbd-485e-8bf3-651352260a4e":{"description":"Forbidden","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"cd569e33-70c6-4be7-ad6a-e00eb6f4bcb8":{"description":"Resource missing","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"8736e0cd-5c88-41d0-ab2e-f5a82b7cd210":{"description":"Unprocessable request","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"e2632933-429b-4906-89de-4ebd2633aefe":{"description":"Internal server error","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"8d6d6f6f-7f0e-4848-93ba-707f9ca00f36":{"api_key":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"}},"744d7fff-34cf-4d04-8cc2-b67b94c7dfbd":{"jwt_key":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"}}},"servers":{"f61470cd-dcf1-4ff9-8d18-5ea2fd311348":{"url":"https://sandbox.hyperswitch.io","description":"Sandbox Environment"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"api-key","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","scopes":[],"schemeName":"api_key"},"schema":{"title":"api-key","type":"string","description":"Use the API key created under your merchant account from the HyperSwitch dashboard. API key is used to authenticate API requests from your merchant server only. Don't expose this key on a website or embed it in a mobile application.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"api_key","name":"api-key"}],"title":"api_key"},{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"jwt_key"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"jwt_key","name":"Authorization"}],"title":"jwt_key"}]},"originalFileLocation":"v1/openapi_spec_v1.json"},"subdomain":"docs.transactlyltd.com","siteName":"Hyperswitch","title":"Routing - Auth Rate Based - Hyperswitch","navMaps":{"firstHrefInVersion":{"1.0.0":{"href":"/v1/routing/routing--success-based","matchLevel":0},"2.0.0 [BETA]":{"href":"/introduction","matchLevel":3}},"firstHrefInLanguage":{}},"originalFileLocation":"v1/routing/routing--success-based.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Create a success based dynamic routing algorithm\">\u003cmeta data-mint-head name=\"application-name\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/favicons/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/favicons/favicon-32x32.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/favicons/favicon-16x16.png\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/favicons/favicon.ico\">\u003cmeta data-mint-head property=\"og:title\" content=\"Routing - Auth Rate Based - Hyperswitch\">\u003cmeta data-mint-head property=\"og:description\" content=\"Create a success based dynamic routing algorithm\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Hyperswitch\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://local./v1/routing/routing--success-based\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/routing/routing--success-based.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Routing - Auth Rate Based - Hyperswitch\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Create a success based dynamic routing algorithm\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"http://docs.transactlyltd.com/_mintlify/og/v1/routing/routing--success-based.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/favicons/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Hyperswitch\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#4F8EFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://local./v1/routing/routing--success-based\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/v1/routing/routing--success-based.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Hyperswitch\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Hyperswitch","nav":{"tabs":[{"tab":"Documentation","versions":[{"version":"1.0.0","groups":[{"group":"Get Started","pages":[{"title":"👋 Welcome to Hyperswitch API Reference","sidebarTitle":"Introduction","icon":"rectangle-code","iconType":"solid","href":"/introduction"}]},{"group":"Essentials","pages":[{"title":"Authentication Types","href":"/essentials/authentication"},{"title":"Error Codes","href":"/essentials/error_codes"},{"title":"Rate Limits","href":"/essentials/rate_limit"},{"title":"Go-live Checklist","href":"/essentials/go-live"}]},{"group":"Payments Core APIs","pages":[{"title":"Setup instructions","sidebarTitle":"Setup Instructions","icon":"flag","iconType":"solid","href":"/v1/payments/setup--instructions"},{"title":"Payment flows","sidebarTitle":"Payment Flows","icon":"arrows-retweet","iconType":"solid","href":"/v1/payments/payment--flows"},{"group":"Payments","pages":[{"title":"Payments - Create","openapi":"post /payments","href":"/v1/payments/payments--create"},{"title":"Payments - Update","openapi":"post /payments/{payment_id}","href":"/v1/payments/payments--update"},{"title":"Payments - Confirm","openapi":"post /payments/{payment_id}/confirm","href":"/v1/payments/payments--confirm"},{"title":"Payments - Retrieve","openapi":"get /payments/{payment_id}","href":"/v1/payments/payments--retrieve"},{"title":"Payments - Cancel","openapi":"post /payments/{payment_id}/cancel","href":"/v1/payments/payments--cancel"},{"title":"Payments - Cancel Post Capture","openapi":"post /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture"},{"title":"Payments - Cancel Post Capture Retrieve","openapi":"get /payments/{payment_id}/cancel_post_capture","href":"/v1/payments/payments--cancel-post-capture-retrieve"},{"title":"Payments - Capture","openapi":"post /payments/{payment_id}/capture","href":"/v1/payments/payments--capture"},{"title":"Payments - Incremental Authorization","openapi":"post /payments/{payment_id}/incremental_authorization","href":"/v1/payments/payments--incremental-authorization"},{"title":"Payments - Extended Authorization","openapi":"post /payments/{payment_id}/extend_authorization","href":"/v1/payments/payments--extend-authorization"},{"title":"Payments - Session token","openapi":"post /payments/session_tokens","href":"/v1/payments/payments--session-token"},{"title":"Payments Link - Retrieve","openapi":"get /payment_link/{payment_link_id}","href":"/v1/payments/payments-link--retrieve"},{"title":"Payments - List","openapi":"get /payments/list","href":"/v1/payments/payments--list"},{"title":"Payments - External 3DS Authentication","openapi":"post /payments/{payment_id}/3ds/authentication","href":"/v1/payments/payments--external-3ds-authentication"},{"title":"Payments complete authorize","openapi":"post /{payment_id}/complete_authorize","href":"/v1/payments/payments--complete-authorize"},{"title":"Payments - Update Metadata","openapi":"post /payments/{payment_id}/update_metadata","href":"/v1/payments/payments--update-metadata"},{"title":"Payments - Submit Eligibility Data","openapi":"post /payments/{payment_id}/eligibility","href":"/v1/payments/payments--submit-eligibility-data"}]},{"group":"Payment Methods","pages":[{"title":"Payment Method - Create","openapi":"post /v1/payment-methods","href":"/v2/payment-methods/payment-method--create-v1"},{"title":"Payment method retrieve v1","openapi":"get /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--retrieve-v1"},{"title":"Payment Method - Update","openapi":"put /v1/payment-methods/{id}/update-saved-payment-method","href":"/v2/payment-methods/payment-method--update-v1"},{"title":"Payment Method - Delete","openapi":"delete /v1/payment-methods/{id}","href":"/v2/payment-methods/payment-method--delete-v1"},{"title":"Payment Method - List Customer Saved Payment Methods","openapi":"get /v1/customers/{id}/saved-payment-methods","href":"/v2/payment-methods/payment-method--list-customer-saved-payment-methods-v1"},{"title":"Payment Method - Get Payment Method Token Data","openapi":"get /v1/payment-methods/token/{payment_method_temporary_token}/details","href":"/v2/payment-methods/payment-method--payment-method-token-to-payment-method-id-v1"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /v1/{customer_id}/payment-methods/{payment_method_id}/default","href":"/v2/payment-methods/payment-method--set-default-payment-method-for-customer-v1"},{"title":"List payment methods for a Payment","openapi":"get /payments/{payment_id}/client","href":"/v1/payment-methods/list-payment-methods-for-a-payment-via-client-sdk"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /v1/customers","href":"/v2/customers/customers--create-v1"},{"title":"Customers - Retrieve","openapi":"get /v1/customers/{id}","href":"/v2/customers/customers--retrieve-v1"},{"title":"Customers - Retrieve using Merchant Reference ID","openapi":"get /v1/customers/reference/{merchant_reference_id}","href":"/v1/customers/customers--retrieve-by-merchant-reference-id"},{"title":"Customers - Update","openapi":"put /v1/customers/{id}","href":"/v2/customers/customers--update-v1"},{"title":"Customers - Delete","openapi":"delete /v1/customers/{id}","href":"/v2/customers/customers--delete-v1"},{"title":"Customers - List","openapi":"get /v1/customers/list","href":"/v2/customers/customers--list-v1"}]},{"group":"Proxy","pages":[{"title":"Proxy","openapi":"post /v1/proxy","href":"/v2/proxy/proxy-v1"}]},{"group":"Payment Method Session","pages":[{"title":"Payment Method Session - Create","openapi":"post /v1/payment-method-sessions","href":"/v2/payment-method-session/payment-method-session--create-v1"},{"title":"Payment Method Session - Retrieve","openapi":"get /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--retrieve-v1"},{"title":"Payment Method Session - List Payment Methods","openapi":"get /v1/payment-method-sessions/{id}/list-payment-methods","href":"/v2/payment-method-session/payment-method-session--list-payment-methods-v1"},{"title":"Payment Method Session - Update a saved payment method","openapi":"put /v1/payment-method-sessions/{id}/update-saved-payment-method","href":"/v2/payment-method-session/payment-method-session--update-a-saved-payment-method-v1"},{"title":"Payment Method Session - Confirm a payment method session","openapi":"post /v1/payment-method-sessions/{id}/confirm","href":"/v2/payment-method-session/payment-method-session--confirm-a-payment-method-session-v1"},{"title":"Payment Method Session - Delete a saved payment method","openapi":"delete /v1/payment-method-sessions/{id}","href":"/v2/payment-method-session/payment-method-session--delete-a-saved-payment-method-v1"}]},{"group":"Refunds","pages":[{"title":"Refunds - Create","openapi":"post /refunds","href":"/v1/refunds/refunds--create"},{"title":"Refunds - Update","openapi":"post /refunds/{refund_id}","href":"/v1/refunds/refunds--update"},{"title":"Refunds - Retrieve","openapi":"get /refunds/{refund_id}","href":"/v1/refunds/refunds--retrieve"},{"title":"Refunds - List","openapi":"post /refunds/list","href":"/v1/refunds/refunds--list"}]},{"group":"Disputes","pages":[{"title":"Disputes - Retrieve Dispute","openapi":"get /disputes/{dispute_id}","href":"/v1/disputes/disputes--retrieve"},{"title":"Disputes - List Disputes","openapi":"get /disputes/list","href":"/v1/disputes/disputes--list"},{"title":"Disputes - List Disputes for The Given Profiles","openapi":"get /disputes/profile/list","href":"/v1/disputes/disputes--list-profiles"},{"title":"Disputes - Accept Dispute","openapi":"post /disputes/accept/{dispute_id}","href":"/v1/disputes/disputes--accept"},{"title":"Disputes - Uploads Dispute Evidence","openapi":"post /disputes/evidence","href":"/v1/disputes/disputes--submit-evidence"},{"title":"Disputes - Attach Evidence to Dispute","openapi":"put /disputes/evidence","href":"/v1/disputes/disputes--attach-evidence"},{"title":"Disputes - Retrieve Dispute Evidence","openapi":"get /disputes/evidence/{dispute_id}","href":"/v1/disputes/disputes--retrieve-evidence"},{"title":"Disputes - Delete Evidence attached to a Dispute","openapi":"delete /disputes/evidence","href":"/v1/disputes/disputes--delete-evidence"},{"title":"Disputes - Get Disputes Aggregate","openapi":"get /disputes/aggregate","href":"/v1/disputes/disputes--get-aggregate"},{"title":"Disputes - Get Disputes Aggregate for Profiles","openapi":"get /disputes/profile/aggregate","href":"/v1/disputes/disputes--get-aggregate-profiles"},{"title":"Disputes - Disputes Filters","openapi":"get /disputes/filter","href":"/v1/disputes/disputes--get-filters"},{"title":"Disputes - Disputes Filters Profile","openapi":"get /disputes/profile/filter","href":"/v1/disputes/disputes--get-filters-profiles"}]},{"group":"Authentication","pages":[{"title":"Authentication - Create","openapi":"post /authentication","href":"/v1/authentication/authentication--create"},{"title":"Authentication - POST Eligibility Check","openapi":"post /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--post-eligibility-check"},{"title":"Authentication - GET Eligibility Check","openapi":"get /authentication/{authentication_id}/eligibility-check","href":"/v1/authentication/authentication--get-eligibility-check"}]},{"group":"Payouts","pages":[{"title":"Payouts - Create","openapi":"post /payouts/create","href":"/v1/payouts/payouts--create"},{"title":"Payouts - Update","openapi":"post /payouts/{payout_id}","href":"/v1/payouts/payouts--update"},{"title":"Payouts - Cancel","openapi":"post /payouts/{payout_id}/cancel","href":"/v1/payouts/payouts--cancel"},{"title":"Payouts - Fulfill","openapi":"post /payouts/{payout_id}/fulfill","href":"/v1/payouts/payouts--fulfill"},{"title":"Payouts - Confirm","openapi":"post /payouts/{payout_id}/confirm","href":"/v1/payouts/payouts--confirm"},{"title":"Payouts - Retrieve","openapi":"get /payouts/{payout_id}","href":"/v1/payouts/payouts--retrieve"},{"title":"Payouts - List","openapi":"get /payouts/list","href":"/v1/payouts/payouts--list"},{"title":"Payouts - List available filters","openapi":"post /payouts/filter","href":"/v1/payouts/payouts--list-filters"},{"title":"Payouts - List using filters","openapi":"post /payouts/list","href":"/v1/payouts/payouts--filter"}]}]},{"group":"Deprecated APIs","pages":[{"group":"Mandates","pages":[{"title":"Mandates - Revoke Mandate","openapi":"post /mandates/revoke/{mandate_id}","href":"/v1/mandates/mandates--revoke-mandate"},{"title":"Mandates - Retrieve Mandate","openapi":"get /mandates/{mandate_id}","href":"/v1/mandates/mandates--retrieve-mandate"},{"title":"Mandates customer mandates list","openapi":"post /customers/{customer_id}/mandates","href":"/v1/mandates/mandates--customer-mandates-list"}]},{"group":"Customers","pages":[{"title":"Customers - Create","openapi":"post /customers","href":"/v1/customers/customers--create"},{"title":"Customers - Retrieve","openapi":"get /customers/{customer_id}","href":"/v1/customers/customers--retrieve"},{"title":"Customers - Update","openapi":"post /customers/{customer_id}","href":"/v1/customers/customers--update"},{"title":"Customers - Delete","openapi":"delete /customers/{customer_id}","href":"/v1/customers/customers--delete"},{"title":"Customers - List","openapi":"get /customers/list","href":"/v1/customers/customers--list"}]},{"group":"Payment Methods","pages":[{"title":"PaymentMethods - Create","openapi":"post /payment_methods","href":"/v1/payment-methods/paymentmethods--create"},{"title":"Payment Method - Retrieve","openapi":"get /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--retrieve"},{"title":"Payment Method - Update","openapi":"post /payment_methods/{method_id}/update","href":"/v1/payment-methods/payment-method--update"},{"title":"Payment Method - Delete","openapi":"delete /payment_methods/{method_id}","href":"/v1/payment-methods/payment-method--delete"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/payment-methods/payment-method--set-default-payment-method-for-customer"},{"title":"List payment methods for a Merchant","openapi":"get /account/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-merchant"},{"title":"List customer saved payment methods for a Payment","openapi":"get /customers/payment_methods","href":"/v1/payment-methods/list-customer-saved-payment-methods-for-a-payment"},{"title":"List payment methods for a Customer","openapi":"get /customers/{customer_id}/payment_methods","href":"/v1/payment-methods/list-payment-methods-for-a-customer"},{"title":"Payment Method - Set Default Payment Method for Customer","openapi":"post /{customer_id}/payment_methods/{payment_method_id}/default","href":"/v1/customer-set-default-payment-method/customers--set-default-payment-method"}]}]},{"group":"Account management APIs","pages":[{"group":"Organization","pages":[{"title":"Organization - Create","openapi":"post /organization","href":"/v1/organization/organization--create"},{"title":"Organization - Retrieve","openapi":"get /organization/{id}","href":"/v1/organization/organization--retrieve"},{"title":"Organization - Update","openapi":"put /organization/{id}","href":"/v1/organization/organization--update"}]},{"group":"Merchant Account","pages":[{"title":"Merchant Account - Create","openapi":"post /accounts","href":"/v1/merchant-account/merchant-account--create"},{"title":"Merchant Account - Retrieve","openapi":"get /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--retrieve"},{"title":"Merchant Account - Update","openapi":"post /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--update"},{"title":"Merchant Account - Delete","openapi":"delete /accounts/{account_id}","href":"/v1/merchant-account/merchant-account--delete"},{"title":"Merchant Account - KV Status","openapi":"post /accounts/{account_id}/kv","href":"/v1/merchant-account/merchant-account--kv-status"}]},{"group":"Business Profile","pages":[{"title":"Profile - Create","openapi":"post /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--create"},{"title":"Profile - Update","openapi":"post /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--update"},{"title":"Profile - Retrieve","openapi":"get /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--retrieve"},{"title":"Profile - Delete","openapi":"delete /account/{account_id}/business_profile/{profile_id}","href":"/v1/business-profile/business-profile--delete"},{"title":"Profile - List","openapi":"get /account/{account_id}/business_profile","href":"/v1/business-profile/business-profile--list"}]},{"group":"Platform Account","pages":[{"title":"Platform - Create","openapi":"post /user/create_platform","href":"/v1/platform/platform--create"}]},{"group":"API Key","pages":[{"title":"API Key - Create","openapi":"post /api_keys/{merchant_id}","href":"/v1/api-key/api-key--create"},{"title":"API Key - Retrieve","openapi":"get /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--retrieve"},{"title":"API Key - Update","openapi":"post /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--update"},{"title":"API Key - Revoke","openapi":"delete /api_keys/{merchant_id}/{key_id}","href":"/v1/api-key/api-key--revoke"},{"title":"API Key - List","openapi":"get /api_keys/{merchant_id}/list","href":"/v1/api-key/api-key--list"}]},{"group":"Merchant Connector Account","pages":[{"title":"Merchant Connector - Create","openapi":"post /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--create"},{"title":"Merchant Connector - Retrieve","openapi":"get /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--retrieve"},{"title":"Merchant Connector - Update","openapi":"post /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--update"},{"title":"Merchant Connector - Delete","openapi":"delete /account/{account_id}/connectors/{merchant_connector_id}","href":"/v1/merchant-connector-account/merchant-connector--delete"},{"title":"Merchant Connector - List","openapi":"get /account/{account_id}/connectors","href":"/v1/merchant-connector-account/merchant-connector--list"}]},{"group":"GSM (Global Status Mapping)","pages":[{"title":"Gsm - Create","openapi":"post /gsm","href":"/v1/gsm/gsm--create"},{"title":"Gsm - Get","openapi":"post /gsm/get","href":"/v1/gsm/gsm--get"},{"title":"Gsm - Update","openapi":"post /gsm/update","href":"/v1/gsm/gsm--update"},{"title":"Gsm - Delete","openapi":"post /gsm/delete","href":"/v1/gsm/gsm--delete"}]}]},{"group":"Other APIs","pages":[{"group":"Event","pages":[{"title":"Events - List","openapi":"post /events/{merchant_id}","href":"/v1/event/events--list"},{"title":"Events - Delivery Attempt List","openapi":"get /events/{merchant_id}/{event_id}/attempts","href":"/v1/event/events--delivery-attempt-list"},{"title":"Events - Manual Retry","openapi":"post /events/{merchant_id}/{event_id}/retry","href":"/v1/event/events--manual-retry"}]},{"group":"Poll","pages":[{"title":"Poll - Retrieve Poll Status","openapi":"get /poll/status/{poll_id}","href":"/v1/poll/poll--retrieve-poll-status"}]},{"group":"Blocklist","pages":[{"title":"Get blocklist","openapi":"get /blocklist","href":"/v1/blocklist/get-blocklist"},{"title":"Post blocklist","openapi":"post /blocklist","href":"/v1/blocklist/post-blocklist"},{"title":"Delete blocklist","openapi":"delete /blocklist","href":"/v1/blocklist/delete-blocklist"},{"title":"Post blocklisttoggle","openapi":"post /blocklist/toggle","href":"/v1/blocklist/post-blocklisttoggle"},{"title":"Blocklist count","openapi":"get /blocklist/count","href":"/v1/blocklist/blocklist--count"},{"title":"Blocklist lookup","openapi":"get /blocklist/lookup","href":"/v1/blocklist/blocklist--lookup"},{"title":"Blocklist batch upload","openapi":"post /blocklist/batch","href":"/v1/blocklist/blocklist--batch-upload"},{"title":"Blocklist batch list","openapi":"get /blocklist/batch","href":"/v1/blocklist/blocklist--batch-list"},{"title":"Blocklist batch status","openapi":"get /blocklist/batch/{job_id}","href":"/v1/blocklist/blocklist--batch-status"},{"title":"Blocklist export create","openapi":"post /blocklist/export","href":"/v1/blocklist/blocklist--export-create"},{"title":"Blocklist - Clone Entries","openapi":"post /blocklist/clone","href":"/v1/blocklist/blocklist--clone"}]},{"group":"Routing","pages":[{"title":"Routing - List","openapi":"get /routing","href":"/v1/routing/routing--list"},{"title":"Routing - Create","description":"Create a routing config","openapi":"post /routing","href":"/v1/routing/routing--create"},{"title":"Routing - Auth Rate Based","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/success_based/create","href":"/v1/routing/routing--success-based"},{"title":"Routing - Elimination","description":"Create a elimination based dynamic routing algorithm","openapi":"post /account/{account_id}/business_profile/{profile_id}/dynamic_routing/elimination/create","href":"/v1/routing/routing--elimination"},{"title":"Routing - Retrieve Config","openapi":"get /routing/active","href":"/v1/routing/routing--retrieve-config"},{"title":"Routing - Deactivate","openapi":"post /routing/deactivate","href":"/v1/routing/routing--deactivate"},{"title":"Routing - Retrieve Default Config","openapi":"get /routing/default","href":"/v1/routing/routing--retrieve-default-config"},{"title":"Routing - Update Default Config","openapi":"post /routing/default","href":"/v1/routing/routing--update-default-config"},{"title":"Routing - Retrieve Default For Profile","openapi":"get /routing/default/profile","href":"/v1/routing/routing--retrieve-default-for-profile"},{"title":"Routing - Update Default For Profile","openapi":"post /routing/default/profile/{profile_id}","href":"/v1/routing/routing--update-default-for-profile"},{"title":"Routing - Retrieve","openapi":"get /routing/{routing_algorithm_id}","href":"/v1/routing/routing--retrieve"},{"title":"Routing - Activate config","openapi":"post /routing/{routing_algorithm_id}/activate","href":"/v1/routing/routing--activate-config"},{"title":"Routing - Evaluate","openapi":"post /routing/evaluate","href":"/v1/routing/routing--evaluate"},{"title":"Routing - Feedback","openapi":"post /routing/feedback","href":"/v1/routing/routing--feedback"},{"title":"Routing - Rule Evaluate","openapi":"post /routing/rule/evaluate","href":"/v1/routing/routing--rule-evaluate"}]},{"group":"Relay","pages":[{"title":"Relay - Create","openapi":"post /relay","href":"/v1/relay/relay"},{"title":"Relay - Retrieve","openapi":"get /relay/{relay_id}","href":"/v1/relay/relay--retrieve"}]},{"group":"Schemas","pages":[{"title":"Outgoing webhook","href":"/v1/schemas/outgoing--webhook"}]},{"group":"Subscriptions","pages":[{"title":"Subscription - Create","openapi":"post /subscriptions/create","href":"/v1/subscriptions/create"},{"title":"Subscription - Confirm","openapi":"post /subscriptions/{subscription_id}/confirm","href":"/v1/subscriptions/confirm"},{"title":"Subscription - Create and Confirm","openapi":"post /subscriptions","href":"/v1/subscriptions/create-and-confirm"},{"title":"Subscription - Update","openapi":"put /subscriptions/{subscription_id}/update","href":"/v1/subscriptions/update"},{"title":"Subscription - Retrieve","openapi":"get /subscriptions/{subscription_id}","href":"/v1/subscriptions/get"},{"title":"Get plans","href":"/v1/subscriptions/get-plans"},{"title":"Subscription - Get Estimate","openapi":"get /subscriptions/estimate","href":"/v1/subscriptions/estimate"},{"title":"Subscription - Pause Subscription","openapi":"post /subscriptions/{subscription_id}/pause","href":"/v1/subscriptions/pause"},{"title":"Subscription - Resume Subscription","openapi":"post /subscriptions/{subscription_id}/resume","href":"/v1/subscriptions/resume"},{"title":"Subscription - Cancel Subscription","openapi":"post /subscriptions/{subscription_id}/cancel","href":"/v1/subscriptions/cancel"}]}]}]},{"version":"2.0.0 [BETA]","pages":[{"title":"2.0.0 [BETA]","href":"/introduction"}]}]},{"tab":"Locker API Reference","pages":[{"title":"Locker API Reference","href":"/locker-api-reference/overview"}]},{"tab":"Decision Engine API Reference","pages":[{"title":"Decision Engine API Reference","href":"/decision-engine-api-reference/introduction"}]}]},"basePath":"","title":"Routing - Auth Rate Based - Hyperswitch","buildId":"223f4d0f93b3","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DLP13Bsa.js","utils-LK_Rx0Zu.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-BSq7eEfK.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bchcwpn2.js","snippetPresets-B-BsDEmk.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CNoZnlAG.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DqKAmR6F.js","shallow-Dq5-SwG1.js","getApiPlaygroundDisplay-B6YMrfFr.js","CodeSnippet-DvvqqrVi.js","CodeSnippets-D6Vj56PD.js","Page-03hAnTHd.js","getPastedJson-BKlc8wx2.js","icon-HMNWawTa.js","MethodPill-Dd_Z_kqi.js","DuplicateIcon-DK5o2DOi.js","createIcon-BhUMOhLi.js","DynamicMarkdown-CoGC92CO.js","SectionHeading-K9MvhMbX.js","axios-vUo_bRtp.js","Markdown-DqqHYs0x.js","clsx-DfU2JnNK.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-C8phz87P.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-BVRLOPpC.js"]}